Bug 189589 - Searching for bugs with the "Security" keyword is odd
Searching for bugs with the "Security" keyword is odd
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
Kevin Baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 09:21 EDT by Josh Bressers
Modified: 2014-12-01 18:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 06:32:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-21 09:21:11 EDT
Since the removal of the "Security" severity, the way we must search for
secuirty bugs doesn't work as epxected. There is a difference between selecting
a qeury that contains "all of the keywords" vs a query that contains "any of the
keywords"

See the examples below: 

Show any keywords
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&bug_status=NEW&keywords_type=anywords&keywords=Security

Show all keywords
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&bug_status=NEW&keywords_type=allwords&keywords=Security

These queries should return the same result.
Comment 1 David Eisenstein 2006-04-22 03:27:20 EDT
I concur.  I made an entry to Bug # 188831 in the last few minutes, and,
strangely enough, this is *only* bug that now shows up when I perform this
query (For Product="Fedora Core", Component="firefox", Keywords (Contains
All of the Keywords)="Security").

https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Fedora+Core&component=firefox&keywords_type=allwords&keywords=Security

Additionally, looking at Bug Activity for #188831:
  <https://bugzilla.redhat.com/bugzilla/show_activity.cgi?id=188831>,

it curiously shows that at 16:55 on 2006-04-20, Keywords changed from ""
to "Security";  then it shows at 02:49 on 2006-04-22, that *I* changed the
Keywords from "" to "Security"??  Very strange, indeed!
Comment 2 David Eisenstein 2006-04-22 03:48:55 EDT
Ditto for Bug# 179170, replacing the Component in the query with
"mozilla" instead of "firefox".  Including the Bug Activity strangeness.

https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Fedora+Core&component=mozilla&keywords_type=allwords&keywords=Security
Comment 3 David Lawrence 2008-09-16 12:54:24 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 4 Tomas Hoger 2008-09-30 08:30:47 EDT
For the two queries in comment #0, anywords variant finds 3 more bugs (all private) that all seem to have single 'Security' keyword (e.g. test bug #458334).
Comment 5 David Lawrence 2010-01-15 11:55:04 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.
Comment 6 David Lawrence 2010-08-25 17:40:42 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 8 Vincent Danen 2010-12-16 10:41:10 EST
I think perhaps this has been corrected now.  Using both links from #c0, I get 1605 bugs in each query.

Also testing with:

https://bugzilla.redhat.com/buglist.cgi?keywords=Security&query_format=advanced&keywords_type=allwords&bug_status=NEW&product=Fedora&classification=Fedora

vs:

https://bugzilla.redhat.com/buglist.cgi?keywords=Security&query_format=advanced&keywords_type=anywords&bug_status=NEW&product=Fedora&classification=Fedora

They both show 105 bugs, so I think this can be resolved.
Comment 9 Noura El hawary 2010-12-17 06:32:20 EST
Thanks for the feedback Vincent. I will close the bug.

Note You need to log in before you can comment on or make changes to this bug.